package com.backendsys.mapper.Ai.Aiivh;

import com.backendsys.entity.Ai.Aiivh.AiPersonDTO;
import com.backendsys.entity.Ai.Aiivh.AiPersonTimbreCustomDTO;
import com.backendsys.entity.Ai.Aiivh.AiivhAnchorDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AiivhMakeVirtualmanTaskMapper {
    List<Map<String, Object>> queryAiivhMakeVirtualmanTaskList(AiPersonDTO aiPersonDTO);
    Map<String, Object> queryAiivhMakeVirtualmanTaskDetail(AiPersonDTO aiPersonDTO);
    long insertAiivhMakeVirtualmanTask(AiPersonDTO aiPersonDTO);
    long updateAiivhMakeVirtualmanTask(AiPersonDTO aiPersonDTO);



    long insertAiPersonVirtualmanCustom(AiivhAnchorDTO aiivhAnchorDTO);
    long updateAiPersonVirtualmanCustom(AiivhAnchorDTO aiivhAnchorDTO);

    long insertAiPersonTimbreCustom(AiPersonTimbreCustomDTO aiPersonTimbreCustomDTO);
    long updateAiPersonTimbreCustom(AiPersonTimbreCustomDTO aiPersonTimbreCustomDTO);


}
